Bug 191303 - Review Request: crossfire - 2D multiplayer rpg game server
Review Request: crossfire - 2D multiplayer rpg game server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-10 12:59 EDT by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 23:54:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wart 2006-05-10 12:59:44 EDT
Spec URL: http://www.kobold.org/~wart/fedora/crossfire.spec
SRPM URL: http://www.kobold.org/~wart/fedora/crossfire-1.9.0-1.src.rpm
Description: 

Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains the server for hosting crossfire games over a
public or private network.
Comment 1 Wart 2006-05-15 16:51:35 EDT
Updated package that now includes crossfire-client-images, but doesn't fix the
crash when loading the python plugin on FC-5.

http://www.kobold.org/~wart/fedora/crossfire.spec
http://www.kobold.org/~wart/fedora/crossfire-1.9.0-2.src.rpm
Comment 2 Wart 2006-05-16 20:14:56 EDT
Updated package the python plugin crash on FC-5.  The game server closes and
reopens the stdio streams when run with '-detach', which causes all sorts of
confusion in the plugin.  I think I've fixed the confusion.  A patch and a bug
report have been sent upstream:
https://sourceforge.net/tracker/index.php?func=detail&aid=1489893&group_id=13833&atid=313833
https://sourceforge.net/tracker/index.php?func=detail&aid=1489902&group_id=13833&atid=113833

http://www.kobold.org/~wart/fedora/crossfire-1.9.0-3.src.rpm
http://www.kobold.org/~wart/fedora/crossfire.spec
Comment 3 Christopher Stone 2006-05-16 20:32:21 EDT
* rpmlint output
E: crossfire non-standard-uid /var/games/crossfire/temp.maps crossfire
E: crossfire zero-length /var/games/crossfire/temp.maps
E: crossfire non-standard-uid /var/games/crossfire/clockdata crossfire
E: crossfire zero-length /var/games/crossfire/clockdata
E: crossfire non-standard-uid /var/games/crossfire/template-maps crossfire
E: crossfire non-standard-uid /var/games/crossfire/banish_file crossfire
E: crossfire zero-length /var/games/crossfire/banish_file
E: crossfire non-standard-uid /var/games/crossfire crossfire
E: crossfire non-standard-uid /var/games/crossfire/players crossfire
E: crossfire non-standard-uid /var/games/crossfire/maps crossfire
E: crossfire non-standard-uid /var/games/crossfire/highscore crossfire
E: crossfire zero-length /var/games/crossfire/highscore
E: crossfire non-standard-uid /var/games/crossfire/unique-items crossfire
E: crossfire non-standard-uid /var/games/crossfire/bookarch crossfire
E: crossfire zero-length /var/games/crossfire/bookarch
E: crossfire non-standard-uid /var/games/crossfire/datafiles crossfire
E: crossfire non-standard-uid /var/log/crossfire crossfire
W: crossfire incoherent-subsys /etc/rc.d/init.d/crossfire $prog
W: crossfire-client-images no-documentation
W: crossfire-plugins no-documentation

non-standard-uid and zero-length files okay
incoherent-subsys looks like a false positive
no-documentation warnings okay

* Package meets Package Naming Guidelines
* Spec file matches base package %{name}
* Package meets Packaging Guidelines
* Package licensed with open source compatible license
* License field matches actual license
* License text file included in %doc
* Spec file written in American English
* Spec file legible
* Sources match upstream
43240af83a4414d2dcc19fff3af31a63  crossfire-1.9.0.tar.gz
43240af83a4414d2dcc19fff3af31a63  crossfire-1.9.0.tar.gz
7685cc806a02a3f14336095de6066128  crossfire-1.9.0.arch.tar.gz
7685cc806a02a3f14336095de6066128  crossfire-1.9.0.arch.tar.gz
* Package successfully builds on FC5 x86_64
* All build dependencies listed in BuildRequires
* Package does not contain locales
* Package does not contain shared library files
* Package is not relocatable

O Package does not own all directories it creates
  - Package does not own /etc/crossfire directory

* Package does not contain any duplicates in %files section
* Files have sane attributes (crossfire user created with fedora-usermgnt and sh
ared scoreboard files belong to crossfire user as per games SIG guidelines)
* Package contains proper %clean section
* Macro usage consistant
* Package contains permissible content

O Crossfire documentation is 4 megs (might want to consider making a seperate -d
oc package)

* Files in %doc do not affect runtime
* Package does not contain headers, library files or .pc files
* Package does not contain any .so files
* -devel and -plugins package requires base package

O -client-images package should require crossfire-client, if that makes sense?

* Package does not contain any .la files
* Package does not need a .desktop file
* Package does not own files or directories owned by other packages
Comment 4 Wart 2006-05-16 21:55:10 EDT
(In reply to comment #3)
> O Package does not own all directories it creates
>   - Package does not own /etc/crossfire directory

Fixed



> O Crossfire documentation is 4 megs (might want to consider making a seperate -d
> oc package)

Done.  Note that the -doc subpackage doesn't require the base package as it also
contains docs that are relevant to the crossfire-client package.

> O -client-images package should require crossfire-client, if that makes sense?

Yep, it does.  I had forgotten that one.

New package with all of these issues addressed:

http://www.kobold.org/~wart/fedora/crossfire-1.9.0-4.src.rpm
http://www.kobold.org/~wart/fedora/crossfire.spec
Comment 5 Christopher Stone 2006-05-16 22:53:24 EDT
*** APPROVED ***
Comment 6 Wart 2006-05-16 23:54:21 EDT
Imported and built.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.